/**
 * This work was created by participants in the DataONE project, and is
 * jointly copyrighted by participating institutions in DataONE. For 
 * more information on DataONE, see our web site at http://dataone.org.
 *
 *   Copyright ${year}
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *   http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and 
 * limitations under the License.
 * 
 * $Id$
 */

package gov.ornl.mercury3.web.jsptag;

import gov.ornl.mercury3.web.util.MemberNodeSourcesMapCache;

import java.io.IOException;
import java.util.Map;

import javax.servlet.jsp.JspException;
import javax.servlet.jsp.JspTagException;
import javax.servlet.jsp.JspWriter;
import javax.servlet.jsp.tagext.TagSupport;

public class MNSourceOptionsTag extends TagSupport {

    public int doStartTag() throws JspException {
        JspWriter out = pageContext.getOut();

        Map<String, String> mnSources = MemberNodeSourcesMapCache.INSTANCE.getMNSourceMap();
        StringBuffer selectHtml = new StringBuffer();
        selectHtml.append("<option selected value='All'>All</option>");
        for (String nodeId : mnSources.keySet()) {
            selectHtml.append("<option value='" + nodeId + "'>" + mnSources.get(nodeId)
                    + "</option>");
        }
        try {
            out.println(selectHtml.toString());
        } catch (IOException ioe) {
            throw new JspTagException("tag failed");
        }
        return EVAL_BODY_INCLUDE;
    }

    public int doEndTag() {
        return EVAL_PAGE;
    }
}
